Download it now!
Bug 125548 - When using kde5 vcl, tab first inserts a tab, and then the document loses focus
Summary: When using kde5 vcl, tab first inserts a tab, and then the document loses focus
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Jan-Marek Glogowski
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2019-05-28 11:07 UTC by Nicholas van Oudtshoorn
Modified: 2019-06-01 20:25 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicholas van Oudtshoorn 2019-05-28 11:07:00 UTC
Description:
Using the kde5 vcl plugin on the latest nightly, and writing a document.

When one uses the tab key to insert a tab into the document, or to shift lists up or down a level, the tab is inserted. But then control is lost. If one pushes tab again, it returns.

If one pushes tab, and then f, it opens the file menu.

To insert two tabs and continue writing, one has to push tab->tab->tab->tab

The tab key works well using the gtk3 vcl plugin

Steps to Reproduce:
1.use the kde vcl plugin
2. in a writer document, try to insert a tab by pushing the tab key

Actual Results:
A tab is inserted, and then control is lost - it seems as if an Alt key is being held down? or the menu is being highlighted?

Expected Results:
a tab is inserted, and one can immediately keep on writing


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha1+
Build ID: 40e2a0d7039eee9c5377996da3949680903e1016
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-22_13:55:35
Locale: en-AU (en_AU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Michael Weghorn 2019-05-29 15:50:17 UTC
Confirmed with

Version: 6.3.0.0.alpha1+
Build ID: 51fd99367b517b9a7630f5c089d5fa22a7252472
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Michael Weghorn 2019-05-29 16:31:41 UTC
Also reproducible with 6.2 branch:

Version: 6.2.5.0.0+
Build ID: 86ffd1e60c98f4f39f45507e852c428551c9db54
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Commit Notification 2019-05-30 00:10:40 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f6e7dbccf063767c2ac87c6460bd1004df742081%5E%21

tdf#125548 Qt5 no focus for the menu bar button

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-05-30 06:54:37 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/ed200895d4a2bc31ca99d4e41abaae7dce73ffa1%5E%21

tdf#125548 Qt5 no focus for the menu bar button

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Nicholas van Oudtshoorn 2019-05-30 08:57:11 UTC
Wonderful! Thank you!
Comment 6 Nicholas van Oudtshoorn 2019-06-01 04:49:49 UTC
Tested, and all working on latest daily build (now that linux daily builds are back up and running!) Thanks for the amazingly quick fix.
Comment 7 Jan-Marek Glogowski 2019-06-01 20:25:42 UTC
(In reply to Nicholas van Oudtshoorn from comment #6)
> Tested, and all working on latest daily build (now that linux daily builds
> are back up and running!) Thanks for the amazingly quick fix.

In this case you were simply lucky, that the bug and the fix was so obvious, after I saw the button had the focus. That bug looked much scarier at the beginning (broken input handling...). There are much harder show-stoppers left for 6.2.5, which will become the next still release, hopefully with kde5 enabled per default.

Thanks for the positive feedback; much appreciated.